﻿using ThinkGeo.MapSuite.WebEdition;

namespace MapMvc.Controllers
{
    public class MapInitializerHelper
    {
        private IMapInitializer _initializer;

        private static MapInitializerHelper _instance;
        private MapInitializerHelper()
        {
        }

        public static MapInitializerHelper GetInstance()
        {
            if (_instance == null)
            {
                _instance = new MapInitializerHelper();
            }
            return _instance;
        }

        public void SetInitializer(IMapInitializer initializer)
        {
            _initializer = initializer;
        }

        public void Initialize(Map map)
        {
            _initializer.InitializeMap(map);
        }
    }
}
